//********************************************************************
//      Copyright ©2014-2023 Gowin Semiconductor Corporation.
//                      All rights reserved.
//
// <File>     : gw_apb_uart_top.v
// <Author>   : EMB
// <Function> : APB UART top level
// <Version>  : 1.0
// <Date>     : 2023
//
//********************************************************************

// gw_apb_uart_top
module gw_apb_uart_top
(
	  dma_rx_ack,
	  dma_tx_ack,
	  paddr,
	  pclk,
	  penable,
	  presetn,
	  psel,
	  pwdata,
	  pwrite,
	  uart_ctsn,
	  uart_dcdn,
	  uart_dsrn,
	  uart_rin,
	  uart_sin,
	  dma_rx_req,
	  dma_tx_req,
	  prdata,
	  uart_dtrn,
	  uart_intr,
	  uart_out1n,
	  uart_out2n,
	  uart_rtsn,
	  uart_sout
);


input              dma_rx_ack;
input              dma_tx_ack;
input        [5:2] paddr;
input              pclk;
input              penable;
input              presetn;
input              psel;
input       [31:0] pwdata;
input              pwrite;
input              uart_ctsn;
input              uart_dcdn;
input              uart_dsrn;
input              uart_rin;
input              uart_sin;
output             dma_rx_req;
output             dma_tx_req;
output      [31:0] prdata;
output             uart_dtrn;
output             uart_intr;
output             uart_out1n;
output             uart_out2n;
output             uart_rtsn;
output             uart_sout;


// gw_apb_uart instantiation
gw_apb_uart u_gw_apb_uart
(
    .dma_rx_ack(dma_rx_ack),
    .dma_tx_ack(dma_tx_ack),
    .paddr(paddr),
    .pclk(pclk),
    .penable(penable),
    .presetn(presetn),
    .psel(psel),
    .pwdata(pwdata),
    .pwrite(pwrite),
    .uart_ctsn(uart_ctsn),
    .uart_dcdn(uart_dcdn),
    .uart_dsrn(uart_dsrn),
    .uart_rin(uart_rin),
    .uart_sin(uart_sin),
    .dma_rx_req(dma_rx_req),
    .dma_tx_req(dma_tx_req),
    .prdata(prdata),
    .uart_dtrn(uart_dtrn),
    .uart_intr(uart_intr),
    .uart_out1n(uart_out1n),
    .uart_out2n(uart_out2n),
    .uart_rtsn(uart_rtsn),
    .uart_sout(uart_sout)
);

endmodule