/*
 * ******************************************************************************************
 * File		: ram.c
 * Author	: GowinSemicoductor
 * Chip		: AE350_SOC
 * Function	: RAM definitions.
 * ******************************************************************************************
 */

// Includes ---------------------------------------------------------------------------------
#include "ram.h"


// Definitions ------------------------------------------------------------------------------

void setDataCmd(unsigned int cmd)
{
	DEV_RAM->DCMD = cmd & DATACMD;
}

void setDataAddr(unsigned int addr)
{
	DEV_RAM->DADDR = addr & DATAADDR;
}

void setDataIn(unsigned int din)
{
	DEV_RAM->DIN  = din & DATAIN;
}

unsigned int getDataCmd(void)
{
	return DEV_RAM->DCMD & DATACMD;
}

unsigned int getDataAddr(void)
{
	return DEV_RAM->DADDR & DATAADDR;
}

unsigned int getDataIn(void)
{
	return DEV_RAM->DIN & DATAIN;
}

unsigned int getDataOut(void)
{
	return DEV_RAM->DOUT & DATAOUT;
}
