/*
 * ******************************************************************************************
 * File		: uart3.h
 * Author	: GowinSemicoductor
 * Chip		: AE350_SOC
 * Function	: UART3 definitions.
 * ******************************************************************************************
 */

#ifndef __UART3_H__
#define __UART3_H__

// Includes ---------------------------------------------------------------------------------
#include "platform.h"
#include "uart_ae350.h"


// Definitions ------------------------------------------------------------------------------

#define UART3_BASE				_IO_(APB_EXT_BASE + 0x800000)	// UART3 address: slave 2
#define AE350_UART3				((UART_RegDef *) UART3_BASE )	// UART3 register definition
#define DEV_UART3				AE350_UART3						// Device UART3


#define IRQ_UART3_SOURCE		IRQ_GP0_SOURCE					// UART3 interrupt source
#define uart3_irq_handler		gp0_irq_handler					// UART3 interrupt handler


#define DRV_UART3                       1		// Enable/disable UART3	1: enable; 0: disable
// UART3 with DMA
// TX
#define DRV_UART3_DMA_TX_EN             0		// Enable/disable UART3 DMA TX	1: enable; 0: disable
#define DRV_UART3_DMA_TX_CH             0		// DMA channel number of UART3 TX
#define DRV_UART3_DMA_TX_REQID          0		// DMA request id of UART3 TX -- dma_irq[0]
// RX
#define DRV_UART3_DMA_RX_EN             0		// Enable/disable UART3 DMA RX	1: enable; 0: disable
#define DRV_UART3_DMA_RX_CH             1		// DMA channel number of UART3 RX
#define DRV_UART3_DMA_RX_REQID          1		// DMA request id of UART3 RX -- dma_irq[1]


#endif	/* __UART3_H__ */
